import os

# vraci seznam jmen souboru z adresare
def listdir(path):
    lst = os.listdir(path)
    names = list([])
    for file in lst:
        name = file.split('.')[0]
        names.append(name)
    return names


# podle funkce vraci adresar a jmeno souboru s priponou
# zvukova nahravka
def wav(name):
    return '_wavs/' + name + '.wav'


# anotace
def beat(name):
    return '_beats/' + name + '.csv'


# tabulka namerenych parametru
def feat(name):
    return '_feats/' + name + '.csv'


# tabulka vypoctenych statistickych hodnot
def stat(name):
    return '_stat/' + name + '.csv'


# znazorneni dtw synchronizace
def sync(name):
    return 'sync/' + name + '.png'


# ustrizek z hudebni nahravky
def clip(name):
    return 'clip/' + name + '.wav'




